var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-20\">\n      <meta name=\"topicid\" content=\"GUID-0DBC05BB-C285-4DFD-92CB-8E889719C800\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>シェーダについて</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-0DBC05BB-C285-4DFD-92CB-8E889719C800\"></a><div class=\"head\">\n            <h1>シェーダについて</h1>\n         </div>\n         <p><a name=\"WS73099CC142F48755-575EAB4C124F5234AA84A7\"></a> 3D モデリングにおいて<em class=\"mild\">シェーダ</em>という用語は、サーフェスが光にどのように反応するかを指定するアルゴリズムを意味しています。<span class=\"charspan-msgph\">MotionBuilder</span> での<em class=\"mild\">シェーダ</em>は、異なるタイプのエフェクトを作成するためにモデルに適用するアセットです。さまざまなタイプのシェーダで、サーフェスが光にどのように反応するかを定義したり、カートゥーン調の輪郭やバンプ マッピングを作成したりできます。また、シェーダを使って、静的な光源を含むシーンにシャドウ\n            マップやライト マップを生成することもできます。 \n         </p>\n         <div><a name=\"WS1A9193826455F5FF-75C1F7C3124F51CCBD11CDE\"></a><div class=\"note-note\"><span class=\"label label-target-language\">注:</span><span class=\"charspan-msgph\">MotionBuilder</span> はこのドキュメントで説明するシェーダだけでなく、Open Reality&reg; SDK を使用して作成されたカスタム シェーダもサポートしています。 \n            </div>\n         </div>\n         <p><a name=\"WS73099CC142F48755-575EAB4C124F5234AA84AE\"></a>Asset Browser の Shading Elements フォルダでは、Shaders フォルダにシーンに追加できるシェーダが格納されています。オブジェクトにシェーダをドロップすると、モデルのサーフェスがシーン内のライティングとどのように相互作用するかを制御する値がサーフェスに割り当てられ、カラー、鏡面反射、反射、透明度、シャドウ、および屈折のエフェクトが作成されます。\n            \n         </p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5092\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-ED152A27-1C15-4A9F-AA90-2C1A53C70AB1-low.png\"><p class=\"figure-title\">Asset Browser<em class=\"mild\"> A.</em>Shaders フォルダ\n            </p>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5090\"></a>次の図では、3 つのティーポットがトレイに並んでいます。シーン内のすべてのオブジェクトにテクスチャ付きのマテリアルを適用しています。ティーポットの花柄やトレイの木目テクスチャです。 \n         </p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-508F\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-B9C01485-F9F3-426F-95E3-681FA3511565-low.png\"><p class=\"figure-title\">シェーダを適用しないテクスチャ マッピング モデル</p>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-508D\"></a>まだモデルにはどことなくリアルさがありません。平坦で、光沢のないテクスチャは、シーン内のすべてのオブジェクトが均一な同じマテリアルで構成されているような印象を与えます。 \n         </p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-508C\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-EB4142D1-C0B0-4852-BFA0-361FA4B6C763-low.png\"><p class=\"figure-title\">シェーダの例 <em class=\"mild\">A.</em> Bump Map シェーダ <em class=\"mild\">B.</em> Edge Cartoon シェーダ <em class=\"mild\">C.</em> Lighted シェーダ\n            </p>\n         </div><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5089\"></a><p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-508A\"></a>上の例では、ティーポットとトレイにシェーダを適用しています。 \n         </p>\n         <ul>\n            <li>1 番目のティーポットには Bump Map シェーダを適用しているので、でこぼこしたモデル サーフェスという外観を与えています。 </li>\n            <li>2 番目のティーポットには Edge Cartoon シェーダを適用しているので、2 次元で描かれたような輪郭になっています。 </li>\n            <li>3 番目のティーポットには Lighting シェーダを適用しているので、この「陶器」は光を反射し、わずかに光沢があります。 </li>\n            <li>木のトレイには Live Shadow シェーダを適用しているので、光を遮るものの影を表示します。 </li>\n         </ul>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5084\"></a>ティーポットはすべて等しくモデリングし、同じテクスチャを適用していますが、シェーダを追加するとまったく異なる物質で構成されているように見せることができます。 \n         </p><span class=\"noindex\">\n            <div class=\"topic-list\">\n               <h4 class=\"related\">このセクションの内容</h4>\n               <ul class=\"jumplist\">\n                  <li class=\"topiclist-litem\"><a href=\"GUID-79AA202D-45D2-4BBC-ACB6-DC9E07C01E58.htm\">シェーダのエフェクト</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-BEB50B91-B793-43CC-B271-2988D1C13B51.htm\">マップ シェーダ </a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-418C7D45-1933-4657-9E16-0A77E43EDF53.htm\">ライブ シェーダ</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-FAD77D08-1FF5-43C6-A96E-FABF3CCC8845.htm\">シェーダをモデルに適用する</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-D42468F5-869D-47AB-BC1F-9EA321C1C622.htm\">シェーダ、テクスチャ、およびマテリアルをテストする</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-F041F1F2-4EAB-4E18-A062-56D98A303F88.htm\">既定 シェーダ </a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-01454C71-D380-44AB-B05B-17C6DFD7A37D.htm\">既定 シェーダを非表示にする</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-CD4B74A1-EABF-4E73-8215-EA5AFB10FF60.htm\">シェーダをオフ、オン、デタッチ、および適用する</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-75EF81F0-3109-4039-A1CD-D1C58CFF0B16.htm\">カリング モードを変更する</a></li>\n               </ul>\n            </div></span><div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">このトピックについてのコメントをお送りください</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/deed.ja\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>特に明記されている場合以外は、この作業は、<a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/deed.ja\" target=\"_blank\">Creative Commons 表示 - 非営利 - 継承 3.0 非移植ライセンス</a> のもと認可を受けています。 <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> (英語版) を参照してください。</em></p><br></div>\n   </body>\n</html>";