var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-20\">\n      <meta name=\"topicid\" content=\"GUID-2143A57C-90F1-4E42-99A0-FEAA5BA7995A\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>テクスチャの概要</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-2143A57C-90F1-4E42-99A0-FEAA5BA7995A\"></a><div class=\"head\">\n            <h1>テクスチャの概要</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-75C1F7C3124F51CCBD1-32F9\"></a> モデルのマテリアルにテクスチャを適用する場合は、テクスチャがモデル上に正しく表示されるように調整する方法を知っておくと便利です。ここでは、テクスチャの各種概念について説明します。 \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1DF9\"></a>テクスチャ マップを使用すると、モデルのサーフェスの外観全体を 1 つの値でコントロールするのではなく、ピクセル単位でコントロールすることができます。これは通常、サーフェスにカラー ビットマップ イメージを適用して行います。 \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1DF7\"></a>さまざまなタイプのテクスチャをシェーダやマテリアルと組み合わせることで、多種多様なエフェクトを作成できます。テクスチャの代表的な使用例としては、モデルのジオメトリ以外のディテールを表現する、固定的なシャドウや反射を加えるなどが挙げられます。 \n         </p>\n         <div class=\"section\"><a name=\"WSF00FE1F65A1E03F9-480045811688C4C134-7FF9\"></a> \n            <h2><a name=\"GUID-846722C0-BFE9-49CF-A0FA-C10C13A201C0\"></a>マップ テクスチャ\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1DF6\"></a>マップ テクスチャでは、グラフィックス ファイル(<em class=\"mild\">.tga</em> ファイル、<em class=\"mild\">.jpg</em> ファイルなど)かビデオ クリップ(<em class=\"mild\">.avi</em> など)を 3D オブジェクトに適用します。イメージ マップ テクスチャを使用するとすばやく描画できますが、イメージを保存するためにコンピュータのメモリ(RAM)の一部を使用します。 \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1DF4\"></a>しかし、プロシージャル テクスチャは計算に大量のメモリを必要とし、アニメーションの速度も遅くなるため、アニメータの間ではプロシージャル テクスチャよりもイメージ マップ テクスチャの方が好まれています。詳細は、「<span class=\"char_link\"><a href=\"GUID-4D39EDB0-F634-424F-BDC1-191446F63CE8.htm\">マッピング手法を選択する</a></span>」を参照してください。 \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-1DF3\"></a> \n            <h2><a name=\"GUID-5E92A2BF-8ADC-4BE1-B1F0-7C258FE9FF1B\"></a>投影テクスチャ  \n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1DF2\"></a> 投影テクスチャは、まるでスライドのようにオブジェクトのサーフェスにイメージを投影します。特に影やスポット ライトのエフェクトを作成する場合に、投影テクスチャを使用できます。 \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1DEE\"></a>投影テクスチャは、モデルの形状にテクスチャを合わせる場合と違って、固有の UV 座標を必要としません。 \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1DED\"></a>投影テクスチャはイメージを前面に直接投影しますが、オブジェクトの形状を認識しないので、3 次元のオブジェクトで使用すると奇妙なエフェクトになります。 \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1DEC\"></a> 次の図では、縞模様のテクスチャはティーポットのふた、本体、注ぎ口、取っ手のカーブを認識していないことに注意してください。 \n            </p> <a name=\"WS73099CC142F4875535A241551166AC8792F-1DEB\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-0A66D1EC-AFA0-4D64-AB25-D0A20A194342-low.png\"><p class=\"figure-title\">投影テクスチャを投影したティーポット モデル</p>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WSF00FE1F65A1E03F9-480045811688C4C134-7FF8\"></a> \n            <h2><a name=\"GUID-46E3D099-AEE2-44C2-BF5B-30ADB82422C3\"></a>プロシージャル テクスチャ\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1DE6\"></a> プロシージャル テクスチャはアルゴリズムによって生成されるため、グラフィックス ファイルの保存は必要ありません。イメージ ファイルやビデオ ファイルを用いるマップ テクスチャとは異なり、プロシージャル テクスチャの描画に必要な計算はコンピュータのプロセッサによって実行されます。このため、メモリを大量に消費しないテクスチャを作成できます。\n               \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1DE4\"></a>プロシージャル テクスチャはディスク スペースが少なくてすむため効率的に思えますが、それゆえの欠点もあります。複雑なテクスチャ アルゴリズムを計算する必要があるので、コンピュータがプロシージャル テクスチャを処理するには、より長い時間がかかることがあります。\n               \n            </p> \n         </div><span class=\"noindex\">\n            <div class=\"topic-list\">\n               <h4 class=\"related\">このセクションの内容</h4>\n               <ul class=\"jumplist\">\n                  <li class=\"topiclist-litem\"><a href=\"GUID-491D617F-42F3-4A3F-8576-FA5696B56D5A.htm\">UVW 座標</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-E41CC69C-2D23-4FB2-A794-4D0AB88A818B.htm\">テクスチャのタイリング </a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-E2314FC7-8603-4400-A48C-04BCDBF14335.htm\">マッピング手法のタイプ</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-5F8CB29F-8F4C-4FB2-9D3C-A2A1C1FF9880.htm\">ミップマッピング</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-D0376DD9-97E1-411C-B4CF-F158C163D93F.htm\">Layered Texture (レイヤ構造のテクスチャ)</a></li>\n               </ul>\n            </div></span><div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">このトピックについてのコメントをお送りください</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/deed.ja\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>特に明記されている場合以外は、この作業は、<a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/deed.ja\" target=\"_blank\">Creative Commons 表示 - 非営利 - 継承 3.0 非移植ライセンス</a> のもと認可を受けています。 <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> (英語版) を参照してください。</em></p><br></div>\n   </body>\n</html>";