var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-20\">\n      <meta name=\"topicid\" content=\"GUID-2695068C-7D7E-49EE-88CE-61B201A0EAC6\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>シェーダとテクスチャを使用したマテリアル処理</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-2695068C-7D7E-49EE-88CE-61B201A0EAC6\"></a><div class=\"head\">\n            <h1>シェーダとテクスチャを使用したマテリアル処理</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1EFA\"></a> マテリアルのエフェクトの中には、ディテールや反射率など、シェーダやテクスチャを使って作成できるものもあります。これらを一緒に使用すると、シンプルなグレーのモデル サーフェスをガラス、メタル、肌などのようにすることができます。 \n         </p><a name=\"WS73099CC142F4875535A241551166AC8792F-1EF8\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-F8841E63-AA62-42A4-8442-673C61899BEB-low.png\"><p class=\"figure-title\">マテリアル、テクスチャ、およびシェーダを追加した花瓶</p>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-1EF6\"></a>モデルのマテリアル プロパティは、テクスチャ設定でテクスチャを適用するときや、シェーダの設定で一部のシェーダを適用するときにも使用できます。 \n         </p>\n         <div class=\"section\"><a name=\"WS73099CC142F48755-575EAB4C124F5234AA8-136E\"></a> \n            <h2><a name=\"GUID-8C8B4CF3-DC1F-48B4-857C-71587D873297\"></a>マテリアルとテクスチャ\n            </h2> \n            <p><a name=\"WS73099CC142F48755-575EAB4C124F5234AA8-136D\"></a>マテリアルのプロパティにテクスチャ(またはレイヤ構造のテクスチャ)をアタッチできます。たとえば、マテリアルの Diffuse プロパティにテクスチャをアタッチして、モデルのサーフェスに色やディテールを加えることができます。<span class=\"char_link\"><a href=\"GUID-616DFD1D-5907-405F-98C9-9EA6ED3F18C6.htm\">マテリアルにテクスチャを追加する</a></span>および<span class=\"char_link\"><a href=\"GUID-11A64D59-F5B6-43F8-98F7-9572E62DC642.htm\">テクスチャをデタッチする</a></span>を参照してください。 \n            </p> \n            <p><a name=\"WS73099CC142F48755-575EAB4C124F5234AA8-136C\"></a>マテリアルのその他のプロパティについては、アタッチしたテクスチャを Viewer に表示するために、適切なタイプのシェーダをモデルに適用する必要があります。たとえば、Normal Map プロパティにアタッチしたテクスチャを表示するには、Bump\n               Map シェーダを適用し、さらにシーンにライトを追加します。 \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F48755-575EAB4C124F5234AA8-136B\"></a> \n            <h2><a name=\"GUID-5892D1E0-E7A1-43EA-A039-D68E896D18D4\"></a>マテリアルとシェーダ\n            </h2> \n            <p><a name=\"WS73099CC142F48755-575EAB4C124F5234AA8-136A\"></a>モデルにマテリアル設定を適用しても、結果が Viewer ウィンドウに表示されないことがあります。高度なマテリアル設定の結果を Viewer ウィンドウに表示するには、シェーダを使用する必要があります。シェーダを必要とする高度なマテリアル設定には、次のようなものがあります。\n               \n            </p> <a name=\"WS1A9193826455F5FF-1E1423D1125831BDA67-6C3F\"></a><div class=\"table-ruled\">\n               <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n                  <colgroup>\n                     <col width=\"33.22763306908267%\">\n                     <col width=\"30.351075877689688%\">\n                     <col width=\"36.42129105322763%\">\n                  </colgroup>\n                  <tr class=\"ruled-heading\">\n                     <th class=\"table-heading\">マテリアル設定 </th>\n                     <th class=\"table-heading\">シェーダ </th>\n                     <th class=\"table-heading\">参照 </th>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Transparency </td>\n                     <td class=\"table-body\">Flat、Light、および Dynamic Light </td>\n                     <td class=\"table-body\">&nbsp; <span class=\"char_link\"><a href=\"GUID-F72CC4A6-7B02-4EB3-B2F5-2B0A6CB24F29.htm\">オブジェクトを透明にする</a></span> \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Reflectivity </td>\n                     <td class=\"table-body\">Reflection </td>\n                     <td class=\"table-body\">&nbsp; <span class=\"char_link\"><a href=\"GUID-D45F1033-7594-409B-83DC-D5CD67F87A15.htm\">反射エフェクト</a></span> \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Bump Map および Normal Map </td>\n                     <td class=\"table-body\">Bump Map </td>\n                     <td class=\"table-body\">&nbsp; <span class=\"char_link\"><a href=\"GUID-6311A401-6EE8-4F71-94A8-1F7A5983B751.htm\">バンプ マップを作成する</a></span> \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">Displacement </td>\n                     <td class=\"table-body\">カスタム シェーダ </td>\n                     <td class=\"table-body\"> <span class=\"char_link\"><a href=\"GUID-6D43452D-E354-4E1A-B63A-654A7F99844B.htm#WS1A9193826455F5FF11D4ED1B128F2317A0893B\">Displacement 設定</a></span> \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">マテリアル プロパティにテクスチャをアタッチした場合。ただし、Diffuse プロパティだけはシェーダを必要としません。 </td>\n                     <td class=\"table-body\">カスタム シェーダ </td>\n                     <td class=\"table-body\">&nbsp; <span class=\"char_link\"><a href=\"GUID-A58F7B77-D93F-4329-AAD2-8D0AF072064A.htm\">テクスチャ</a></span> \n                     </td>\n                  </tr>\n               </table>\n            </div> \n         </div>\n         <div><a name=\"WS1A9193826455F5FF11D4ED1B128E0E4B3AA-7FFC\"></a><div class=\"note-note\"><span class=\"label label-target-language\">注:</span>カスタム シェーダは Open Reality&reg; SDK を使って作成できます。 \n            </div>\n         </div>\n         <div class=\"see-also\">\n            <h4>関連事項</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-429EF94B-986F-4C5E-90E7-0328E5FDE37C.htm\">モデルにマテリアルを適用する </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-0DBC05BB-C285-4DFD-92CB-8E889719C800.htm\">シェーダの基本 </a></span></li>\n               </ul>\n            </div>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">このトピックについてのコメントをお送りください</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/deed.ja\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>特に明記されている場合以外は、この作業は、<a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/deed.ja\" target=\"_blank\">Creative Commons 表示 - 非営利 - 継承 3.0 非移植ライセンス</a> のもと認可を受けています。 <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> (英語版) を参照してください。</em></p><br></div>\n   </body>\n</html>";