var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-20\">\n      <meta name=\"topicid\" content=\"GUID-45A9C1A8-1E1E-49BC-8579-EA11686AD583\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>シーンを設定する</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-45A9C1A8-1E1E-49BC-8579-EA11686AD583\"></a><div class=\"head\">\n            <h1>シーンを設定する</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5482\"></a> <span class=\"charspan-msgph\">MotionBuilder</span> には、シーンの構成を管理しやすくするためのツールが多数用意されています。この章のトピックでは、シーンの基本的な要素や、これらの要素を構成するために使用できるさまざまな手法について紹介します。 \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5481\"></a>Scene Browser、Navigator ウィンドウ、Asset Browser、および Viewer ウィンドウはすべて、シーン内のあらゆる要素を処理し、追跡するのに有益なツールです。 \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5480\"></a>オブジェクトの選択や配置を論理的に行えるようにシーン内のオブジェクトをグループやセットとして分類したり、さまざまなビューやウィンドウを使用してすべてのオブジェクトを包括的に管理できます。 \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-547F\"></a>シーンがどのように構築されているか、どうすればこれらのシーンを効果的に構成できるかを理解することも、<span class=\"charspan-msgph\">MotionBuilder</span> の基本に慣れ親しむには有効です。たとえば、ノードやアセットは、シーンを構築する基本的なブロックです。複数のアセットをグループやセットとしてまとめておけば、一度に選択したり操作することができます。 \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-547E\"></a><span class=\"charspan-msgph\">MotionBuilder</span> で作品を構成するもう 1 つの方法として、<em class=\"mild\">.fbx</em> ファイル専用のカスタム アイコンを作成すれば、Asset Browser にこれらのファイルが表示されたときにすぐに分かります。 \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-53C3\"></a>フィルム セットが用意されているのと同様に、シーンにはキャラクタ、プロップ、ライト、カメラなど、必要な要素はすべて含まれています。 \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-53C1\"></a>Asset Browser および Viewer ウィンドウを使用して、シーンに要素を表示したり追加したりできます。Viewer ウィンドウにはシーン内のすべてのモデルおよび要素が示され、別のカメラ ビューを選択したりアニメーションを作成したりできます。\n            \n         </p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-53C0\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-9133A7E3-F3B9-4CBA-83E8-BFA5AE5E51AD-low.png\"><p class=\"figure-title\">シーン <em class=\"mild\">A.</em> ライト <em class=\"mild\">B.</em> カメラ <em class=\"mild\">C.</em> モデル\n            </p>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-53BE\"></a>テクスチャ、マテリアル、およびシェーダをシーン内のモデルに適用して、外観の質を高めることもできます。詳細については、「<span class=\"char_link\"><a href=\"GUID-49774E14-3C77-4E1A-A61A-D15B570CF31B.htm\">サーフェス</a></span>」および「<span class=\"char_link\"><a href=\"GUID-82C48971-0DBA-444D-9609-DFFF25648D17.htm\">シェーダ</a></span>」を参照してください。 \n         </p><span class=\"noindex\">\n            <div class=\"topic-list\">\n               <h4 class=\"related\">このセクションの内容</h4>\n               <ul class=\"jumplist\">\n                  <li class=\"topiclist-litem\"><a href=\"GUID-B6D4AEB1-F0F0-4974-8BD9-D244CBF41606.htm\">シーン環境について</a><p>3D シーンとは、3D モデルが存在する環境のことです。3D シーンの操作とアニメーションの設定は Viewer ウィンドウで行います。シーンには、寸法とリミットを持つグリッドを設定できます。Viewer ウィンドウで行える作業には、モデルの読み込み、選択、変換、コピー、微調整、アニメートなどがあります。\n                        \n                     </p>\n                  </li>\n               </ul>\n            </div></span><div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">このトピックについてのコメントをお送りください</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/deed.ja\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>特に明記されている場合以外は、この作業は、<a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/deed.ja\" target=\"_blank\">Creative Commons 表示 - 非営利 - 継承 3.0 非移植ライセンス</a> のもと認可を受けています。 <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> (英語版) を参照してください。</em></p><br></div>\n   </body>\n</html>";