var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-20\">\n      <meta name=\"topicid\" content=\"GUID-46E090C5-34AD-4E26-872F-F7D21DC57C74\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>mobupy と pip を使用して Python パッケージを管理する</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-46E090C5-34AD-4E26-872F-F7D21DC57C74\"></a><div class=\"head\">\n            <h1>mobupy と pip を使用して Python パッケージを管理する</h1>\n         </div>\n         <p> 標準の Python パッケージ管理システムである pip を MotionBuilder の Python インタプリタ内で使用して、Python パッケージのインストールおよび照会を行うことができます。 \n            	 \n         </p>\n         <p>pip は、、MotionBuilder Python インタプリタの mobupy を使用してコマンド ラインから呼び出されます。 MotionBuilder Python スクリプト エディタからは呼び出せません。 \n            	 \n         </p>\n         <p>mobupy は、Windows では <span class=\"filePath\">C:¥Program Files¥Autodesk¥\"MotionBuilder &lt;VersionNumber&gt;\"¥bin¥x64</span>、Linux では <span class=\"filePath\">/usr/autodesk/MotionBuider&lt;VersionNumber&gt;/bin/linux_64</span> にあります。 \n            	 \n         </p>\n         <p>パッケージをインストールするには、Windows の場合は管理者権限、Linux の場合はスーパー ユーザ権限が必要になります。 \n            	 \n         </p>\n         <p>pip は、既定では、MotionbBuilder のインストール フォルダにパッケージをインストールします。 ここにパッケージをインストールするには、Windows の場合は管理者権限、Linux の場合はスーパー ユーザ権限が必要になります。管理者権限またはスーパー\n            ユーザ権限を持っていない場合、または MotionBuilder のインストール フォルダにパッケージをインストールしない場合は、<span class=\"code\">--user</span> フラグを使用して、ユーザ スペースにパッケージをインストールすることもできます。 \n            	 \n         </p>\n         <p> <a name=\"TABLE_38D5694222494E5AB62645969E1812B2\"></a><div class=\"table-not-ruled\">\n               <table cellpadding=\"0\" cellspacing=\"0\" class=\"not-ruled\">\n                  <colgroup>\n                     <col width=\"17.18213058419244%\">\n                     <col width=\"43.814432989690715%\">\n                     <col width=\"39.00343642611684%\">\n                  </colgroup>\n                  <tr class=\"not-ruled-heading\">\n                     <th class=\"table-heading\">プラットフォーム \n                        				\n                     </th>\n                     <th class=\"table-heading\">MotionBuilder の site-packages フォルダへのインストール \n                        				\n                     </th>\n                     <th class=\"table-heading\">ユーザ スペースへのインストール \n                        				\n                     </th>\n                  </tr>\n                  <tr class=\"not-ruled-odd-row\">\n                     <td class=\"table-body\">Linux \n                        				\n                     </td>\n                     <td class=\"table-body\"><span class=\"code\">sudo ./mobupy -m pip install &lt;flags&gt; &lt;package&gt; </span> \n                     </td>\n                     <td class=\"table-body\"><span class=\"code\">./mobupy -m pip install &lt;flags&gt; --user &lt;package&gt; </span> \n                     </td>\n                  </tr>\n                  <tr class=\"not-ruled-even-row\">\n                     <td class=\"table-body\">Windows \n                        				\n                     </td>\n                     <td class=\"table-body\"><span class=\"code\">mobupy -m pip install &lt;flags&gt; &lt;package&gt; </span> \n                        <p class=\"table-body\">(管理者として実行しているコマンド ウィンドウから実行) \n                           				  \n                        </p> \n                     </td>\n                     <td class=\"table-body\"><span class=\"code\">mobupy -m pip install &lt;flags&gt; --user &lt;package&gt; </span> \n                     </td>\n                  </tr>\n               </table>\n            </div> \n         </p>\n         <p>また、MotionBuilder の site-packages フォルダからパッケージをアンインストールする場合も、管理者権限またはスーパーバイザ権限が必要になります。 \n            	 \n         </p>\n         <p> <a name=\"TABLE_4637775DE67E4185B97FCA4178FBD32F\"></a><div class=\"table-not-ruled\">\n               <table cellpadding=\"0\" cellspacing=\"0\" class=\"not-ruled\">\n                  <colgroup>\n                     <col width=\"20.66115702479339%\">\n                     <col width=\"79.33884297520662%\">\n                  </colgroup>\n                  <tr class=\"not-ruled-odd-row\">\n                     <td class=\"table-body\">Linux \n                        				\n                     </td>\n                     <td class=\"table-body\"><span class=\"code\">sudo ./mobupy -m pip uninstall &lt;package&gt; </span> \n                     </td>\n                  </tr>\n                  <tr class=\"not-ruled-even-row\">\n                     <td class=\"table-body\">Windows \n                        				\n                     </td>\n                     <td class=\"table-body\"><span class=\"code\">mobupy -m pip uninstall &lt;package&gt;</span> \n                     </td>\n                  </tr>\n               </table>\n            </div> \n         </p>\n         <p>pip は、MotionBuilder パッケージのメンテナンスに役立ちます。 インストールされたパッケージのリストを表示するには、<span class=\"code\">./mobupy -m pip list</span> (Linux)、および <span class=\"code\">mobupy -m pip list</span> (Windows)を実行します。 \n            	 \n         </p>\n         <p>pip の詳細については、『<a href=\"https://pip.pypa.io/en/stable/user_guide/\">pip ユーザ ガイド</a>』を参照してください。 \n            	 \n         </p>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">このトピックについてのコメントをお送りください</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/deed.ja\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>特に明記されている場合以外は、この作業は、<a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/deed.ja\" target=\"_blank\">Creative Commons 表示 - 非営利 - 継承 3.0 非移植ライセンス</a> のもと認可を受けています。 <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> (英語版) を参照してください。</em></p><br></div>\n   </body>\n</html>";