var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-20\">\n      <meta name=\"topicid\" content=\"GUID-4F8EBE11-EA59-451C-B446-733E63703ABB\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>オーディオ</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-4F8EBE11-EA59-451C-B446-733E63703ABB\"></a><div class=\"head\">\n            <h1>オーディオ</h1>\n         </div>\n         <p><a name=\"GUID-2E9B8E1D-2532-4344-A53E-562C30505CA9\"></a>仮想本番環境での撮影の間、オーディオがあると、俳優、監督、編集者はビジュアルのシーンがストーリーと同期していることを確認できます。拡張オーディオ エンジンでは、複数のオーディオ トラックを <span class=\"MenuCascade\" id=\"GUID-E1A1CB70-C009-45EE-AC3C-ED5F58000916\">Story</span> ツールに追加して、それらを再生することができます。テイクベースのアプローチでは、テイクは再生するオーディオ ファイルの再生先と考えられます。したがって、1 つのオーディオ ファイルだけが 1 つのテイクに割り当てることができます。 \n            	 \n         </p><a name=\"UL_C8A13309BED3460EBF832851FA5A65EC\"></a><p><a name=\"GUID-A6B30157-FAC6-4EF8-93EE-F87E4E500732\"></a>拡張オーディオ エンジンでは次のことが可能です。 \n            	 \n         </p>\n         <ul>\n            <li> ある時点での複数オーディオ トラックのストレッチ \n               \n            </li>\n            <li>16 ビットの <span class=\"filePath\">.WAV</span>、<span class=\"filePath\">.MP3</span>、および <span class=\"filePath\">.BWF</span> ファイル 形式の読み込み \n               	 \n               <div><a name=\"GUID-F8A98EF0-372F-4CD6-BBB3-A9ED436102C3\"></a><div class=\"note-note\"><span class=\"label label-target-language\">注:</span><span class=\"filePath\">.MP3</span> ファイルを読み込むには、Apple QuickTime プレーヤをインストールする必要があります。 \n                     	 \n                  </div>\n               </div> \n               <p><a name=\"GUID-2386F85A-4F27-446F-9AA4-EB484A4A569F\"></a>Broadcast Wave Format (BWF) は、European Broadcasting Union (EBU) が Broadcast Audio Extension チャンクを追加した、Microsoft WAVE オーディオ\n                  ファイル形式に基づいています。オーディオ データに加え、<span class=\"filePath\">BWF</span> ファイルにはすべてのブロードキャスト アプリケーションに必要と考えられるメタデータが含まれてます。このオーディオ形式では、さまざまなコンピュータ プラットフォームに基づく異なったブロードキャスト環境間および機器間でオーディオ マテリアルをシームレスに交換できます。\n                  \n                  	 \n               </p> \n            </li>\n            <li> <span class=\"charspan-msgph\">MotionBuilder</span> SDK からの WAV ファイルの書き出し。詳細については、MotionBuilder の「<a href=\"https://help.autodesk.com/view/MOBPRO/2022/JPN/?guid=MotionBuilder_SDK_cpp_ref_index_html\">C++ API リファレンス</a>」および「<a href=\"https://help.autodesk.com/view/MOBPRO/2022/JPN/?guid=MotionBuilder_SDK_py_ref_index_html\">Python API リファレンス</a>」を参照してください。 \n               	 \n               <div><a name=\"GUID-F336FF8E-42DF-4287-BCCC-6BC799B696CE\"></a><div class=\"note-note\"><span class=\"label label-target-language\">注:</span><span class=\"filePath\">BWF</span> ファイルは書き出すことはできません。 \n                     	 \n                  </div>\n               </div> \n            </li>\n            <li>左、右、または両方のチャネルを選択したオーディオ コンテンツの再生 \n               \n            </li>\n            <li> オーディオをテイクにコンストレインする際のオーディオ スピードのロック \n               \n            </li>\n         </ul>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-56A4\"></a>Audio Settings では、オーディオ ファイルおよびデバイスのロードおよび表示だけではなく、オーディオ ファイルの <em class=\"mild\">.wav</em> フォーマットでの録音を行うことができます。 \n            \n         </p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-56A0\"></a><p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-56A3\"></a>Navigator ウィンドウの Audio Settings は、Scene Browser で何が選択されているかによって異なります。 \n            \n         </p>\n         <ul>\n            <li>Audio フォルダをダブルクリックすると、再生の遅延を設定するフィールドがある Global Audio settings が表示されます。詳細は、「<span class=\"char_link\"><a href=\"GUID-C1F996BD-20A6-435A-9CBD-E1747AE3F540.htm\">Global Audio settings</a></span>」を参照してください。 \n               \n            </li>\n            <li>Scene Browser でオーディオ デバイスをダブルクリックすると、ユーザのコンピュータの既定 オーディオ デバイスに関する情報と設定を持つ Audio Device Settings が表示されます。詳細は、「<span class=\"char_link\"><a href=\"GUID-FDB3986F-2EA6-416C-B153-0202833F0B66.htm\">Audio Device 設定 </a></span>」を参照してください。 \n               \n            </li>\n            <li>Scene Browser でオーディオ ファイルをダブルクリックすると、ユーザがクリックしたオーディオ ファイルに関する情報と設定を持つ Audio Settings が表示されます。詳細は、「<span class=\"char_link\"><a href=\"GUID-C052DB82-54A4-4193-90F4-95FB07331D7F.htm\">Audio 設定</a></span>」を参照してください。 \n               \n            </li>\n         </ul>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-569C\"></a>オーディオ設定を使用する前にLayout &gt; Preferences &gt; Loading &gt; Enable Audio チェックボックスがオンになっていることを確認します。 \n            \n         </p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-5699\"></a><ul>\n            <li> <span class=\"char_link\"><a href=\"GUID-64A3391E-B451-4015-A0F4-027F522DE4A4.htm\">オーディオ デバイスに接続する</a></span> \n            </li>\n         </ul><span class=\"noindex\">\n            <div class=\"topic-list\">\n               <h4 class=\"related\">このセクションの内容</h4>\n               <ul class=\"jumplist\">\n                  <li class=\"topiclist-litem\"><a href=\"GUID-64A3391E-B451-4015-A0F4-027F522DE4A4.htm\">オーディオ デバイスに接続する</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-6D2F40AB-E06D-4028-B803-708B838E4ED4.htm\">オーディオ ファイルを再生する</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-27C5FD60-65CF-41DE-AB2C-A0C37BFC071D.htm\">オーディオ チャネルを再生する</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-880FFB31-9E10-4857-90A5-B091B657187F.htm\">オーディオを録音する</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-CA68850F-DC5A-44F2-9A32-1BA76BC72B3A.htm\">オーディオの波形</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-0D303694-D0F6-4C30-B3E5-DFEF641027D2.htm\">オーディオのキャッシュ処理</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-DE1BBCED-0E5F-4764-BD7B-7403CBA661B9.htm\">ディスクまたはメモリからオーディオにアクセスする</a></li>\n               </ul>\n            </div></span><div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">このトピックについてのコメントをお送りください</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/deed.ja\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>特に明記されている場合以外は、この作業は、<a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/deed.ja\" target=\"_blank\">Creative Commons 表示 - 非営利 - 継承 3.0 非移植ライセンス</a> のもと認可を受けています。 <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> (英語版) を参照してください。</em></p><br></div>\n   </body>\n</html>";