var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-20\">\n      <meta name=\"topicid\" content=\"GUID-828C246C-13C9-44EA-BDC5-BF1C457FFE30\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Selective Lighting Shader Settings</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-828C246C-13C9-44EA-BDC5-BF1C457FFE30\"></a><div class=\"head\">\n            <h1>Selective Lighting Shader Settings</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F35\"></a> Selective Lighting Shader Settings では、シーン内のオブジェクトを照射するライトを指定できます。 \n         </p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F33\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-88964E9F-CD3F-4C5C-8EC2-752D692B9FC8-low.png\"><p class=\"figure-title\">Selective Lighting Shader Settings</p>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF453265C9125FAA23BBB-61FE\"></a>OpenGL の制限により、<span class=\"charspan-msgph\">MotionBuilder</span> シーンで使用できるライトは最大 8 個に限られているため、シーンにライトを追加するには Selective Lighting シェーダを使用します。たとえば、Selective Lighting シェーダを使用してライトとオブジェクトを関連付けると、シーン内のライトの数をオブジェクトごとに\n            8 個まで増やすことができます。 \n         </p>\n         <div><a name=\"WS1A9193826455F5FF453265C9125FAA23BBB-398B\"></a><div class=\"note-note\"><span class=\"label label-target-language\">注:</span>Dynamic Lighting シェーダが適用されているオブジェクトと同じオブジェクトに、Selective Lighting シェーダを追加しないでください。OpenGL の制限に対処するには、代わりに Dynamic Lighting シェーダの\n               Affecting Lights フィールドを使用します。詳細は、「<span class=\"char_link\"><a href=\"GUID-0A0DB2AC-7239-4B49-BAE6-D120B3468FFC.htm\">Dynamic Lighting Shader Settings</a></span>」を参照してください。 \n            </div>\n         </div>\n         <div><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F32\"></a><div class=\"note-note\"><span class=\"label label-target-language\">注:</span>ライト設定の Cast Light On オプションを使用すると、Selective Lighting エフェクトを実行することもできます。「<span class=\"char_link\"><a href=\"GUID-DDB09876-E8D9-45D7-99E4-5569F171CC71.htm#WSF00FE1F65A1E03F9281B91E911688C3C36D-7FE2\">Cast Light on Object</a></span>」を参照してください。 \n            </div>\n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F2F\"></a> \n            <h2><a name=\"GUID-6DE60871-5BF6-45BF-BA56-1515D93B041D\"></a>Lights Used フィールド\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F2E\"></a>Lights Used フィールドでは、Selective Lighting シェーダで使用するライトを選択できます。 \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F2D\"></a>Alt キーを押しながらシーン内の任意のライトを Selective Lights 再生フィールドにドラッグします。フィールドの横の Selective Lights ボタンをクリックして、アセット リストを表示し、シーン内で使用されているライトから選択することもできます。\n               \n            </p> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F2C\"></a>Selective Lighting シェーダをモデルに適用すると、Selective Lights リストを使用して、モデルに適用するライトを選択できます。既定のオプションは All です。 \n            </p> <a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F2B\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-88A19912-A681-42F9-87A6-32658ADAE875-low.png\"><p class=\"figure-title\"> <em class=\"mild\">A.</em> すべてのライト <em class=\"mild\">B.</em> 左(赤)のライトのみ <em class=\"mild\">C.</em> 右(黄)のライトのみ\n               </p>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F29\"></a> \n            <h2><a name=\"GUID-0790368E-8CF4-4A53-8B60-AB2366D1A441\"></a>Cast Light On/Off ボタン\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-4F28\"></a>Cast Light On ボタンおよび Cast Light Off ボタンは、ライト設定の Cast Light On Object ボタンと同じです。いずれかのボタンをクリックすると、ライト設定で各ライトを個々に変更しなくても、Lights\n               Producing Shadows リストにあるすべてのライトの設定を変更できます。 \n            </p> \n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">このトピックについてのコメントをお送りください</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/deed.ja\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>特に明記されている場合以外は、この作業は、<a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/deed.ja\" target=\"_blank\">Creative Commons 表示 - 非営利 - 継承 3.0 非移植ライセンス</a> のもと認可を受けています。 <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> (英語版) を参照してください。</em></p><br></div>\n   </body>\n</html>";