var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-20\">\n      <meta name=\"topicid\" content=\"GUID-82C48971-0DBA-444D-9609-DFFF25648D17\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>シェーダ</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-82C48971-0DBA-444D-9609-DFFF25648D17\"></a><div class=\"head\">\n            <h1>シェーダ</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-51B2\"></a> この章では、シェーダを使用して <span class=\"charspan-msgph\">MotionBuilder</span> でエフェクトを作成する方法について説明します。マテリアルやテクスチャのように、シェーダも、3D モデルのサーフェスの外観を制御し、より深く、詳細にすることができます。 \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-51B1\"></a>3D モデルにイメージ ファイルを配置するだけのテクスチャとは異なり、シェーダはシャドウや反射率のようにオブジェクトを描写するプロパティを提供します。 \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-51B0\"></a>シェーダは、サーフェスがシーン内のライティングとどのように相互作用するかを制御して、カラー、鏡面反射、反射、透明度、シャドウ、および屈折のエフェクトを作成します。設定によっては、これらのエフェクトはリアルタイムで変化します。 \n         </p>\n         <p><a name=\"WS1A9193826455F5FF-54F556CA1166AC9EE9E-51AF\"></a>この章では、<span class=\"charspan-msgph\">MotionBuilder</span> のシェーダ、その設定、プロパティ、およびシェーダを使用してシーンに環境エフェクトやサーフェス エフェクトを作成する方法を説明します。 \n         </p>\n         <div class=\"see-also\">\n            <h4>関連事項</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-AFAA0055-96E8-4E8F-93B8-F8F5023607DC.htm\">ライト、シェーダ、サーフェスのリファレンス </a></span></li>\n               </ul>\n            </div>\n         </div><span class=\"noindex\">\n            <div class=\"topic-list\">\n               <h4 class=\"related\">このセクションの内容</h4>\n               <ul class=\"jumplist\">\n                  <li class=\"topiclist-litem\"><a href=\"GUID-0DBC05BB-C285-4DFD-92CB-8E889719C800.htm\">シェーダについて</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-913EF4E1-86C4-4D45-9CBC-95EA6BF6D217.htm\">シェーダを高度なマテリアル設定とともに使用する</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-CB5C6F48-63D0-4B2E-92BF-95E03A366F40.htm\">シェーダをテクスチャとともに使用する</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-D7EA9A8B-5812-4C16-9CB5-8237E56E004B.htm\">シェーダを使用してサーフェス エフェクトを作成する</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-AB834D35-7C47-40BA-8144-3007BA0469F1.htm\">シェーダの設定を定義する</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-607A138F-06CF-4BB7-9ECC-81FEEBFA7206.htm\">カートゥーン エフェクト</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-816F3E6B-9C43-42B8-8628-ABD20CD4D8A2.htm\">環境エフェクト</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-D45F1033-7594-409B-83DC-D5CD67F87A15.htm\">反射エフェクト</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-5256CBD2-7BE6-462D-9C0A-0079EBD868D1.htm\">サーフェス エフェクト</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-1B71E34F-1B5B-40E2-8213-B672A355320F.htm\">シャドウとライティング エフェクト</a></li>\n                  <li class=\"topiclist-litem\"><a href=\"GUID-8E7F7D5E-C87D-41A0-909A-5457170EC991.htm\">Dynamic Lighting &amp; Shadow シェーダ設定</a></li>\n               </ul>\n            </div></span><div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">このトピックについてのコメントをお送りください</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/deed.ja\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>特に明記されている場合以外は、この作業は、<a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/deed.ja\" target=\"_blank\">Creative Commons 表示 - 非営利 - 継承 3.0 非移植ライセンス</a> のもと認可を受けています。 <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> (英語版) を参照してください。</em></p><br></div>\n   </body>\n</html>";