var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-20\">\n      <meta name=\"topicid\" content=\"GUID-A621244A-4B5B-47DC-A6AE-D745FC7D93A6\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>光学式データの再構築</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-A621244A-4B5B-47DC-A6AE-D745FC7D93A6\"></a><div class=\"head\">\n            <h1>光学式データの再構築</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F34\"></a> この項目では、光学設定を使用してどのようにいくつかの共通する光学的問題を再構築して補正するかを説明します。次のようなワークフローを推奨します。 \n         </p><a name=\"WS73099CC142F4875535A241551166AC8792F36\"></a><p class=\"list-intro\"><a name=\"WS73099CC142F4875535A241551166AC8792F37\"></a>光学式データを再構築するには:\n         </p>\n         <ol type=\"1\" start=\"1\">\n            <li>光学式モーション ファイルを読み込みします。 \n               <p><a name=\"GUID-2ED66459-8F7A-4C0E-83EC-8EDA6A95F2EF\"></a>ファイルを読み込み、<span class=\"charspan-msgph\">MotionBuilder</span> とその他のソフトウェア パッケージ、アプリケーション、および専用のハードウェアの間で、光学式データ、未処理データ、およびスケルトン データのファイルを転送することができます。 \n               </p> \n            </li>\n            <li>選択した光学式マーカーの光学式データを表示する、Navigator ウィンドウを開いていることを確認します。 </li>\n            <li>モーション ファイルの先頭部分またはほとんどのセグメントが表示される位置で、確認できるすべてのセグメントにラベルを付けます。 \n               <p><a name=\"GUID-7777BBDA-C488-47A4-8AC2-B7F508C520FF\"></a>セグメントにラベルを付けると、それがマーカーとなります。 \n               </p> \n               <p><a name=\"GUID-BAF1F779-26E6-4B0C-A922-724E84986BB7\"></a>詳細は、「<span class=\"char_link\"><a href=\"GUID-7B5D2027-394B-4CD7-8F5F-9586470ACB14.htm\">セグメントとラベル付け</a></span>」を参照してください。 \n               </p> \n            </li>\n            <li>手順 3 でラベルを付けたマーカーを使用してリジッド ボディを作成します。 \n               <p><a name=\"GUID-DB255A0E-B7FF-4F28-B6E4-CE6EC7E08234\"></a>詳細は、「<span class=\"char_link\"><a href=\"GUID-2030D64C-F215-4C88-BE08-258996ABF42A.htm\">リジッド ボディを作成する</a></span>」を参照してください。 \n               </p> \n            </li>\n            <li>アクターを作成して光学式マーカーを適用すると、アクターのマーカー セットを定義します。これは任意の手順ですが、強くお勧めします。 \n               <p><a name=\"GUID-97B0748A-0FE6-45D5-9D61-EE766BA9FBF9\"></a> アクターを使用することで、マーカーのスワッピングやノイズなどの問題を簡単に表示できます。 \n               </p> \n               <p><a name=\"GUID-FB03BDCB-C95C-4FF0-AB77-7B4D1A1E4755\"></a>詳細は、「<span class=\"char_link\"><a href=\"GUID-D9A728ED-1E4A-419A-8BF7-A426C36C0A91.htm\">アクターを作成する</a></span>」を参照してください。 \n               </p> \n            </li>\n            <li>マーカーのスワッピングを排除します。マーカーにラベルを付ける際、互いに近くを通る 2 個のマーカーがスワッピングを起こしたことに気が付くことがあります。 \n               <p><a name=\"GUID-9CC89723-5596-428C-A675-BD04ACEA7E5C\"></a> <span class=\"char_link\"><a href=\"GUID-15E20E6F-DB94-42BB-B826-F182B30E370C.htm\">スワッピングを排除する</a></span> \n               </p> \n            </li>\n            <li>リジッド ボディの品質を調査して補正することで、ノイズと部分的なオクルージョンを修正します。 \n               <p><a name=\"GUID-2ECF51C2-9C85-4EF6-9F92-28793D6F5556\"></a>詳細は、「<span class=\"char_link\"><a href=\"GUID-039242B4-5C51-4352-A1FE-8B511D494844.htm\">リジッド ボディの質を補正する</a></span>」を参照してください。 \n               </p> \n            </li>\n            <li>ギャップを埋めます。<span class=\"charspan-msgph\">MotionBuilder</span> でギャップを埋める方法は 2 つあります。ラベルなしセグメントを使用する方法と補間を使用する方法です。 \n               <p><a name=\"GUID-62BF42E6-8457-4919-B24F-D4AD2DFAB7A6\"></a><span class=\"char_link\"><a href=\"GUID-D94E164C-B2BE-4C0D-85A2-99D4D1097BE3.htm\">ラベルなしセグメントによってギャップを補充する</a></span>および<span class=\"char_link\"><a href=\"GUID-CA53B9AF-3E06-483E-BD09-48F10872A460.htm\">補間によってギャップを補充する</a></span>を参照してください。 \n               </p> \n            </li>\n            <li>すべての光学式マーカーを Done に切り替えて、FCurves ウィンドウを使用した今後のフィルタ処理が適用できるようにします。 </li>\n         </ol>\n         <div class=\"see-also\">\n            <h4>関連事項</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-88ED9A72-B5D3-470F-97BF-EB87C5F921EF.htm\">光学式装置とデータ </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-ACDBF488-F78C-4E43-93AF-63C88E55E304.htm\">光学データの問題点 </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-EFD4831F-FE3A-4459-BCF9-03A11DD6CEF0.htm\">光学式モーション データ </a></span></li>\n               </ul>\n            </div>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">このトピックについてのコメントをお送りください</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/deed.ja\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>特に明記されている場合以外は、この作業は、<a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/deed.ja\" target=\"_blank\">Creative Commons 表示 - 非営利 - 継承 3.0 非移植ライセンス</a> のもと認可を受けています。 <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> (英語版) を参照してください。</em></p><br></div>\n   </body>\n</html>";