var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-20\">\n      <meta name=\"topicid\" content=\"GUID-A900A0BA-A1A6-4707-A6AE-26FE8F49BEC6\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>HIK キャラクタ構造</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-A900A0BA-A1A6-4707-A6AE-26FE8F49BEC6\"></a><div class=\"head\">\n            <h1>HIK キャラクタ構造</h1>\n         </div>\n         <p><a name=\"GUID-454055F3-E493-4A69-A10C-7DD3F96349B6\"></a>HIK ソルバでは、キャラクタのノードが標準的な配置で接続されているものと想定します。たとえば、右肩は右肘の親ノードであり、右肘は右手首の親ノードです。HIK の生物力学モデルには、これらのノードの動きに関する知識が組み込まれています。実行時に、IK\n            エフェクトやソース アニメーションの要件に合わせてノードを動かす必要が生じると、ソルバはこの知識を使用して新しいポーズを作成します。 \n            	 \n         </p>\n         <p><a name=\"GUID-8A715E46-D007-4B29-9AE4-D122DCED808B\"></a>HIK がこの生物力学モデルをキャラクタに適用できるように、HIK が認識できるノードを、キャラクタのスケルトンのジョイントにマッピングする必要があります。 \n            	 \n         </p>\n         <p><a name=\"GUID-2AD05DB9-74E0-4F12-967A-40216BE59899\"></a>少なくとも、HIK で必要とされる 15 個のノードすべてをキャラクタライズする必要があります。これによって、キャラクタの主要な要素を識別します。これらの 15 個の必須ノードをキャラクタライズしないと、HIK を使用して実行時にキャラクタをコントロールできません。これらの必須ノードすべてを正しくマッピングしない限り、<span class=\"MenuCascade\" id=\"GUID-687F42B0-D402-4F84-8836-065A3408F8BE\"> Definition</span> タブでキャラクタライズの保存やロックができません。 \n            	 \n         </p>\n         <p><a name=\"GUID-477D3C8A-2FE5-46C6-B29D-CDE1B006D0B6\"></a>キャラクタのスケルトン内にある他のボーンについても、できるだけ多数を他の HIK のオプション ノードにマッピングすることをお勧めします。こうすることで、HIK によって実行時に作成されるポーズの品質と信用性が向上します。次に、どのボーンをどのノードにマッピングするかの判断方法について説明します。\n            \n            	 \n         </p>\n         <div class=\"section\"><a name=\"SECTION_6C6C405B96EF4A0FAA38B240DE9F130C\"></a> \n            <h2><a name=\"GUID-3194893E-3673-4371-AEF5-98D17FBE07EA\"></a>必須ノード\n            </h2> \n            <p><a name=\"GUID-445D6865-C15C-43A6-929E-2C8F5FF0E2E3\"></a>HIK ソルバで必要とされる 15 個のノードは、Character ビューのフルボディ レイアウトに表示されます。Name Match ビューでは、Required グループにグループ化されています。 \n               		\n            </p> <a name=\"WS73099CC142F4875535A241551166AC8792F-B79\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-4F9DB7C0-7325-4A14-B351-934B7EFDB086-low.png\"></div> \n            <p><a name=\"GUID-85A5082C-A9B3-4F96-9415-FC4811A3339A\"></a>これらの必須ノードは、キャラクタのスケルトン内にある主要なジョイント(足首、膝、ヒップ、脊椎基部、肩、肘、手首、頭)を識別します。スケルトン内のどのボーンが各ノードに対応するかは、単純明快です。 \n               		\n            </p> <a name=\"TABLE_B1C27353680A4CE88284A655B10730C5\"></a><div class=\"table-ruled\">\n               <table cellpadding=\"0\" cellspacing=\"0\" class=\"ruled\">\n                  <colgroup>\n                     <col width=\"23.148148148148145%\">\n                     <col width=\"76.85185185185183%\">\n                  </colgroup>\n                  <tr class=\"ruled-heading\">\n                     <th class=\"table-heading\">ノード \n                        				  \n                     </th>\n                     <th class=\"table-heading\">マッピング先 \n                        				  \n                     </th>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Hips \n                        				  \n                     </td>\n                     <td class=\"table-body\">キャラクタの脊椎および脚チェーンの親となるボーン。 \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">LeftUpLeg および RightUpLeg \n                        				  \n                     </td>\n                     <td class=\"table-body\">キャラクタの上腿の最初のボーン。 \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">LeftLeg および RightLeg \n                        				  \n                     </td>\n                     <td class=\"table-body\">キャラクタの下腿の最初のボーン。 \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">LeftFoot および RightFoot \n                        				  \n                     </td>\n                     <td class=\"table-body\">キャラクタの足首から足先に向かって伸びている最初のボーン。 \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Spine \n                        				  \n                     </td>\n                     <td class=\"table-body\">Hips ノードにマッピングされるボーンの上にある、脊椎の最初のボーン。脊椎基部を表します。 \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\"> LeftArm および RightArm \n                        				  \n                     </td>\n                     <td class=\"table-body\">キャラクタの上腕の最初のボーン。 \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">LeftForeArm および RightForeArm \n                        				  \n                     </td>\n                     <td class=\"table-body\">キャラクタの前腕の最初のボーン。 \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-even-row\">\n                     <td class=\"table-body\">LeftHand および RightHand \n                        				  \n                     </td>\n                     <td class=\"table-body\">キャラクタの手首から手の平に向かって伸びている最初のボーン。 \n                        				  \n                     </td>\n                  </tr>\n                  <tr class=\"ruled-odd-row\">\n                     <td class=\"table-body\">Head \n                        				  \n                     </td>\n                     <td class=\"table-body\">キャラクタの脊椎の最後のボーン全体。頭頂部ではなく、首チェーンの最後のボーン全体です。通常は、このボーンで頭のスキニングをコントロールします。 \n                        				  \n                     </td>\n                  </tr>\n               </table>\n            </div> \n            <div><a name=\"GUID-CFF5B2EC-FB6E-4E52-A292-DDF037E68943\"></a><div class=\"note-note\"><span class=\"label label-target-language\">注:</span>フルボディ レイアウトには、2 個のオプション ノード(Reference および HipsTranslation)も表示されます。これらのオプション ノードの詳細については、下記の「<span class=\"char_link\"><a href=\"GUID-A900A0BA-A1A6-4707-A6AE-26FE8F49BEC6.htm#SECTION_AFFED949B4494AAC97735591BC2556BA\">特別なノード</a></span>」を参照してください。 \n                  		\n               </div>\n            </div> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_002FD84A4FFB4344A032F773A31B3590\"></a> \n            <h2><a name=\"GUID-BC2BD2CB-55B0-4F14-80C9-ADC8E1FE0F6C\"></a>脊椎と首のノード\n            </h2> \n            <p><a name=\"GUID-57B703AE-B45B-424D-ABC9-50915636ADD9\"></a>HIK ソルバでは、最大 9 個の脊椎ノード(Spine1 ～ Spine9)と、最大 10 個の首ノード(Neck、Neck1 ～ Neck9)を追加で使用できます。これらのノードは下から上に番号が付けられ、番号の小さいほどヒップに近く、大きいほど頭に近くなります。\n               \n               		\n            </p> <a name=\"UL_3451F46EEB1E48238AF9440A7E6C2DC6\"></a><ul>\n               <li>キャラクタの脊椎にある最初のボーンは、必須の脊椎ノードにマッピングします(上記の「必須ノード」を参照)。 \n                  		  \n               </li>\n               <li>キャラクタの脊椎にある後続の各ボーンを、キャラクタの鎖骨または肩のボーンが脊椎に接続される点に達するまで、次に使用可能な脊椎ノード(Spine1、Spine2、Spine3 など)にマッピングします。HIK では、脊椎内にキャラクタライズされた最後のノードに両腕が接続されるものと見なされます。\n                  \n                  		  \n               </li>\n               <li>キャラクタの脊柱にある、脊椎ノードにマッピングされていない最初のボーンを、首ノードにマッピングします。 \n                  		  \n               </li>\n               <li>Neck ノードにマッピングしたボーンと Head ノードにマッピングしたボーンの間にある後続の各ボーンを、次に使用可能な首ノード(Neck1、Neck2、Neck3 など)にマッピングします。脊椎ノードまたは首ノードの定義時に、番号をスキップすることはできません。たとえば、Spine1\n                  ノードと Spine2 ノードが空の場合、Spine3 にボーンをマッピングすることはできません。 \n                  		  \n               </li>\n            </ul> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_E46A7421D98C4E3D8E39D83EFE719160\"></a> \n            <h2><a name=\"GUID-71BB6156-F816-4017-924A-C7CDB4DF730F\"></a>手と足のノード\n            </h2> \n            <p><a name=\"GUID-3F0DCB04-09D4-4686-AE23-12F97D70D342\"></a>HIK において、手と足はまったく同等です。左右の足と左右の手には、同じタイプのジョイントを含めることができます。ただし、キャラクタの両手足は個別に定義します。それによって、複雑なキャラクタの作成が可能になります。たとえば、海賊のキャラクタに、足首から下のジョイントがない義足、足指基部にジョイントが\n               1 つだけあるが足指を自由に動かすことはできない、ブーツを履いた足、自由に動く片手、怪我で指が何本か欠けたもう片方の手を持たせることができます。 \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_D86C7F96F875444BADCB42D36A84856D\"></a> \n            <h2><a name=\"GUID-695D5E72-51D0-4B9D-86EB-5D4C43FBB521\"></a>指と足指のノード\n            </h2> \n            <p><a name=\"GUID-58C04151-ACD0-4004-B95B-23F492EFC106\"></a><span class=\"MenuCascade\" id=\"GUID-00CF7432-8B88-4F4C-B563-9FD51DE8C6D1\"> Definition</span> タブを使用すると、それぞれの手足に、最大 6 本の指または足指を設定できます。通常の指と足指は、左から右に向かって、それぞれ Thumb、Index、Middle、Ring、Pinky と呼ばれます。HIK では、もう 1 本、ExtraFinger\n               と呼ばれる追加の指や足指を使用できます。ただし、残りの指にあるジョイントと、右手、左足、右足のジョイントは、同じ命名規則に従います。 \n               		\n            </p> <a name=\"UL_D7E0D77CADB1446B820B10E112B992C5\"></a><ul>\n               <li>それぞれの指と足指は、最大 4 個のメイン ジョイント(1、2、3、4)を持つことができます。これらの指ノードや足指ノードのマッピング時に、番号をスキップすることはできません。たとえば、LeftHandIndex1 ノードと LeftHandIndex2\n                  ノードの両方をマッピングしなければ、LeftHandIndex3 ノードはマッピングできません。 \n                  		  \n               </li>\n               <li>特殊効果のため、それぞれの指に追加のインハンド ジョイント(LeftInHandPinky および LeftInHandThumb)も設定できます。これらのノードはオプションであり、省略してもかまいません。オプションのインハンド ジョイントを省略した場合、その指の最初のジョイントが指基部ノード(LeftHandFingerBase)に直接アタッチされます。指基部ノードも省略した場合、すべての指が、必須の手首ノードに直接アタッチされます。\n                  \n                  		  \n               </li>\n               <li>親指は、指基部ノードの有無にかかわらず、常に手首ノードに直接接続されます。 \n                  		  \n               </li>\n               <li>一般に、キャラクタの指や足指をキャラクタライズするときは、手足の各指先を個別のノードにマッピングすることをお勧めします。これは、指の IK エフェクトまたは足指の IK エフェクトを操作する場合に便利です。 \n                  		  \n               </li>\n            </ul> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_DB099E9B3D0A49CCB5B06EECEE06DCDE\"></a> \n            <h2><a name=\"GUID-B41EBF9F-6101-47C1-8FC9-8234F59CB487\"></a>指基部と足指基部のノード\n            </h2> \n            <p><a name=\"GUID-BCD8363B-2D69-4B1E-97EF-E17A2B47472A\"></a>オプションの指基部ノードと足指基部ノードを使用すると、キャラクタの手足の指が曲がる箇所にジョイントを作成できます。これらのノードがよく使われるのは、指や足指の完全な間接は必要はないが、関節部分で手や足を曲げるとリアルさが高まるような場合です。たとえば、先の閉じた靴を履いている人物キャラクタの場合、足指基部ノードを使用すると、個々の足指にノードを定義しなくても、足を足指基部でヒンジのように曲げることができます。\n               \n               		\n            </p> \n         </div>\n         <div class=\"section\"><a name=\"SECTION_AFFED949B4494AAC97735591BC2556BA\"></a> \n            <h2><a name=\"GUID-51F785BE-11B1-474E-8CF7-17FFE4A220E2\"></a>特別なノード\n            </h2> \n            <p><a name=\"GUID-E1B507E5-7055-42A5-B27B-2CAF99CB38F4\"></a>HIK では、上で説明したノードに加えて、特殊効果のために次のようなノードを使用できます。 \n               		\n            </p> \n            <div class=\"section\"><a name=\"SECTION_401E2ECEE3A640048566520834ACF361\"></a> \n               <h3><a name=\"GUID-CFED5426-1445-4A11-B388-9E5F4E5EE758\"></a>Shoulder ノードと ShoulderExtra ノード\n               </h3> \n               <p><a name=\"GUID-B2C32C33-6621-4BCA-BE70-9BF7286EBF5E\"></a>HIK では、ボディの左右で、それぞれ 2 個の肩ノードを使用できます。これらは、人間が腕を回したり上げたときの、肩の動きのシミュレートに役立ちます。 \n                  		  \n               </p> \n               <p><a name=\"GUID-87C6925A-02EE-4DCE-876A-4F72ABC88787\"></a>スケルトンの、LeftArm ノードまたは RightArm ノードにマッピングされたボーンと脊椎との間にボーンがある場合、これらのボーンを LeftShoulder、RightShoulder、LeftShoulderExtra、RightShoulderExtra\n                  の各ノードにマッピングできます。まず Shoulder ノードをマッピングする必要があります。LeftShoulder ノードがマッピングされていなければ、LeftShoulderExtra ノードをマッピングすることはできません。 \n                  		  \n               </p> \n            </div> \n            <div class=\"section\"><a name=\"SECTION_E0746FDF53224D9D92C97D5F0E8E44F5\"></a> \n               <h3><a name=\"GUID-A6BFFBB6-DA59-4F90-B535-37702C2FAF2F\"></a>ロール ノード\n               </h3> \n               <p><a name=\"GUID-E9901661-816D-486F-A313-E92A8EB11126\"></a>ロール ノードを使用すると、キャラクタの上腕、下腕、上腿、および下腿のボーンをマッピングできます。HIK ソルバで子ロール ノードを持つノードにロール回転を適用すると、ロール回転のパーセンテージが親ノードから抽出されて、代わりに子ロール ノードに適用されます。このプロセスをロール抽出と呼びます。ロール抽出は、二足歩行および四足歩行の腕や足が軸を中心に回転する実際の動作をシミュレートします。これを使用して、さらに手足に沿ったより適切な位置からスキンのデフォメーションをコントロールすると、スキニングしたキャラクタ用に作成するアニメーションのリアルさを高めることができます。\n                  		  \n               </p> \n               <div><a name=\"GUID-D66CD744-E01A-40BD-80EA-7A2E6FD429E9\"></a><div class=\"note-note\"><span class=\"label label-target-language\">注:</span> MotionBuilder 2018 以降のバージョンでは、ロール ノードがサポートされています。旧バージョンではロール ノードがサポートされておらず、<span class=\"MenuCascade\">Roll Mode</span> メニューを使用できませんでした。\n                     		  \n                  </div>\n               </div> \n               <p>リムごとに最大 5 つのリーフ ロール ボーンをマップすることができます。すべてのリーフ ロール ボーンは同じリムのボーンの子になります。ボーンに沿ったリーフ ロール ボーンの配置と、リーフ ロール ボーンごとの回転率は、リムごとのリーフ ロール\n                  ボーンの数によって決まります。リムに複数のリーフ ロール ボーンがある場合、回転率はボーン間で等分されます。<span class=\"char_link\"><a href=\"GUID-53EA32FD-7C8D-4C25-AE00-01BEB934E205.htm\">ロール ボーン動作を定義する</a></span>も参照してください。 \n                  		  \n               </p> \n            </div> \n            <div class=\"section\"><a name=\"SECTION_964F01C11F8247D6805A562685A86DFC\"></a> \n               <h3><a name=\"GUID-3651BD5A-8E6C-4668-84F4-781D92D24C40\"></a>Reference\n               </h3> \n               <p><a name=\"GUID-BFB6DAFB-B618-40C9-805E-D4D1777EA18D\"></a>このノードは、キャラクタの全体的な移動、回転、およびスケール用に、オプションのリポジトリとして使用することを目的としています。キャラクタのヒップの抽象的な親と見なされます。 \n                  		  \n               </p> \n               <p><a name=\"GUID-A40FC88C-DF30-4F15-90DA-76A0DA95587C\"></a>ほとんどの場合、Reference ノードを使用する必要はありません。主に、次のような場合に限って使用します。 \n                  		  \n               </p> <a name=\"UL_66ADE8F9468A49F89EF33198F025FC5D\"></a><ul>\n                  <li>モデルのヒップの親に、キャラクタの全体的な移動、回転、およびスケーリングが定義されている場合。この場合、Reference ノードを使用して、その親から HIK にデータを同期すると便利です。 \n                     			 \n                  </li>\n                  <li>アニメーションのリターゲッティング時に、ソース キャラクタの動きのスケールにターゲット キャラクタを正確に一致させるように、HIK に指示できます。この場合、ターゲット キャラクタの全体的な移動、回転、およびスケーリングを変更するには、Reference\n                     ノードを使用するしか方法がありません。 \n                     			 \n                  </li>\n               </ul> \n            </div> \n            <div class=\"section\"><a name=\"SECTION_FE8B8EB682624E76BFF5A7E4148AA5EE\"></a> \n               <h3><a name=\"GUID-7F8FEE00-DA67-456B-983E-DFD649403BFF\"></a>HipsTranslation\n               </h3> \n               <p><a name=\"GUID-F0E8B2D3-7B82-43A5-A2CE-6335938E2DE0\"></a>このノードは、キャラクタのヒップの移動に使用する、独立したリポジトリです。キャラクタに対してこのノードをキャラクタライズした場合、HIK ソルバでキャラクタの Hips ノードの移動をオフセットする必要が生じると、Hips ノードにマッピングされたボーンではなく、HipsTranslation\n                  ノードにマッピングされたボーンに対して、最終的な移動が格納されます。 \n                  		  \n               </p> \n               <p><a name=\"GUID-33138DAB-7713-425E-BAE9-AE32E95EB1F7\"></a>HipsTranslation ノードがキャラクタライズされた場合でも、ヒップの回転は既定で Hips ノードに保存されています。HipsTranslation ノードを使用すると、ソース キャラクタの軌跡をターゲット キャラクタにリターゲットすることができます。\n                  \n                  		  \n               </p> \n            </div> \n         </div>\n         <div class=\"see-also\">\n            <h4>関連事項</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-0CA89528-94E7-45EE-B604-EB6C1E7CD911.htm\">Definition タブ \n                           		</a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-25126449-FAA8-4F6C-B033-B93816140182.htm\">HIK 用のスケルトンを定義する \n                           		</a></span></li>\n               </ul>\n            </div>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">このトピックについてのコメントをお送りください</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/deed.ja\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>特に明記されている場合以外は、この作業は、<a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/deed.ja\" target=\"_blank\">Creative Commons 表示 - 非営利 - 継承 3.0 非移植ライセンス</a> のもと認可を受けています。 <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> (英語版) を参照してください。</em></p><br></div>\n   </body>\n</html>";