var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MOBPRO\">\n      <meta name=\"release\" content=\"2024\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2023-03-20\">\n      <meta name=\"topicid\" content=\"GUID-F0E50A73-9E2C-4508-92AA-B2C45AC088AD\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>人間のリアルな動きを作成する</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-F0E50A73-9E2C-4508-92AA-B2C45AC088AD\"></a><div class=\"head\">\n            <h1>人間のリアルな動きを作成する</h1>\n         </div>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-4DD\"></a> <span class=\"charspan-msgph\">MotionBuilder</span> は、キャラクタのリアルな動きを簡単に作成できる多くのツールを提供します。 \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-4DC\"></a>本項目では、わかりやすくするために、<span class=\"charspan-msgph\">MotionBuilder</span> キャラクタ エンジンによる Biped、すなわち人間のスケルトン処理を例に説明します。本セクションで扱わない四足歩行モデルのアニメーションでは、他に特別な条件や例外が発生します。 \n         </p>\n         <p><a name=\"WS73099CC142F4875535A241551166AC8792F-4DB\"></a>うまくキャラクタをアニメートするには、スケルトンの動きの仕組みと <span class=\"charspan-msgph\">MotionBuilder</span> が自然なモーションを再現する仕組みを理解しておくことが重要です。 \n         </p>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-4DA\"></a> \n            <h2><a name=\"GUID-AFD6003D-97FC-4824-99AC-C569E0504895\"></a>人間のスケルトンについて\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-4D9\"></a>人間の自然な動きを作成するには、最初に実際の人間の骨格(スケルトン)とその動作の仕組みを調べる必要があります。 \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-4D8\"></a>人間の骨格は、基本的に、一連の関節(ジョイント)で構成され、関節は筋肉と腱によって動く骨(ボーン)で結合されています。 \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-4D7\"></a>アニメーションでリアルな動きを作成するために、3D スケルトンは、筋肉、腱、および骨の複雑なシステムを実際に再現する代りに、一連のジョイントを使用して人間の骨格の動きを模倣します。 \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-4D6\"></a>単純な 3D スケルトンは、肩、肘、手首、膝などの主要なジョイントから構成されます。実物では、筋肉や腱が関節(ジョイント)を動かし、その関節が骨格のリアルな動きを創り出しているので、筋肉や腱を再現する代りに、ジョイント(関節)を直接操作してモデルの動きを正確に再現できます。\n               \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-4D5\"></a>人間の骨格の関節に似せて各点が 3D 空間に配置され、結合されます。たとえば、以下の図は、ジョイントを表わす点とボーンを表わす線で作成された非常に単純なスケルトンです。ジョイント間に描かれるものは、この段階では重要ではありません。 <a name=\"WS73099CC142F4875535A241551166AC8792F-4D4\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-FC9567A1-C35E-43F1-98DB-D74D0A8A295C-low.png\"></div> \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-4D2\"></a>一連のドットは、線(ボーンを表す)で結合されたジョイントを表します。次のセクションでは、この一連の点を人間の骨格のように動作させるために必要な関係と規則について説明します。 \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS73099CC142F4875535A241551166AC8792F-4D1\"></a> \n            <h2><a name=\"GUID-FAC02020-D214-43A6-B9A7-85A8CA9E76D7\"></a>人間の動きを作成する基本的な規則\n            </h2> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-4D0\"></a>キャラクタをキャラクタライズするとき、キャラクタ エンジンによって自動的に人間の動きを制御する一連の設定が定義されるため、独自の設定を定義する必要はありません。ただし、人間のリアルな動きの作成に関してよく知っておくことは重要です。 \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-4CF\"></a>一連の点を人間のスケルトンのように動作させるには、点の相互作用の仕組みを定義する規則を設定する必要があります。適切な相互作用を実現するには、各点の他の点に対する影響を制御する関係を作成しておく必要があります。これを怠ると、一連のジョイントが動いても、人間の骨格のようには動作しません。\n               \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-4CE\"></a>もう一度、関節を表わす点を使用している を参照してください。関係が設定されていないと、各ジョイントは独立して動作します。 \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-4CD\"></a>たとえば、肘を表わす点を動かしたとき、肘だけが動き、手首と手は動きません。人間の骨格であれば、肘を動かすと手首と手も同時に動きます。 <a name=\"WS73099CC142F4875535A241551166AC8792F-4CC\"></a><div class=\"figure-anchor\"><img src=\"../images/GUID-38EA7A27-CE96-452B-BE2D-77267B7E744B-low.png\"><p class=\"figure-title\"> <em class=\"mild\">A.</em> 単純なスケルトンで右腕の動きを定義するリレーションが確立されていない場合、右腕の動きは不自然になります。<em class=\"mild\">B.</em> 肘が動くと手首と手が動き、自然な動きを再現する規則が作成されています。\n                  </p>\n               </div> \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-4CA\"></a>自然な動きを再現するには、「右の肘を動かしたときは必ず右の手首と手も動く」という規則が必要です。 \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-4C9\"></a>また、ジョイントの回転を制御する規則も必要です。人間の動きを研究するとよくわかりますが、たとえば、右の肘が動くと、手首と手も動き、さらに、右の肩が回転します。このため、「右の肘が動くと、右の肩が回転する」という規則を作成します。 \n            </p> \n            <p><a name=\"WS73099CC142F4875535A241551166AC8792F-4C8\"></a>人間の骨格の動きをすべて調べると、移動と回転を制御する数百もの規則を発見できます。<span class=\"charspan-msgph\">MotionBuilder</span> は、すでにこれらの規則のほとんどを把握しています。 \n            </p> \n         </div>\n         <div class=\"see-also\">\n            <h4>関連事項</h4>\n            <div class=\"related-links\">\n               <ul>\n                  <li><span class=\"char_link\"><a href=\"GUID-568F71B5-7C76-4F3C-8388-AAABA97DA71E.htm\">補間 </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-A05E7B2F-2E12-4CFF-8589-31E13332884A.htm\">Dynamic Editor </a></span></li>\n                  <li><span class=\"char_link\"><a href=\"GUID-0E400563-9AEA-4041-8921-977A13E2F8AF.htm\">フロア コンタクト </a></span></li>\n               </ul>\n            </div>\n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">このトピックについてのコメントをお送りください</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/deed.ja\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>特に明記されている場合以外は、この作業は、<a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/deed.ja\" target=\"_blank\">Creative Commons 表示 - 非営利 - 継承 3.0 非移植ライセンス</a> のもと認可を受けています。 <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> (英語版) を参照してください。</em></p><br></div>\n   </body>\n</html>";